sc::ExEnv(3)

NAME
sc::ExEnv - The ExEnv class is used to find out about how the program is being run.

SYNOPSIS

#include <exenv.h>

  Static Public Member Functions
static void init (int &argcref, char **&argvref)
Set the argument count and vector.
static int initialized ()
Return nonzero if ExEnv has been initialized.
static int & argc ()
Return an reference to the argument count.
static char **& argv ()
Return an reference to the argument vector.
static const char * program_name ()
Return argv[0] with the path removed.
static const char * hostname ()
Return the host name.
static const char * username ()
Return the user name.
static void set_out (std::ostream *o)
static std::ostream & outn ()
Return an ostream that writes from all nodes.
static std::ostream & errn ()
Return an ostream for error messages that writes from all nodes.
static std::ostream & out0 ()
Return an ostream that writes from node 0.
static std::ostream & err0 ()
Return an ostream for error messages that writes from node 0.
static size_t memory ()
The amount of memory on this node.
static int nproc ()
The number of processors on this node.

  Static Protected Attributes
static int initialized_
static int * argc_
static char *** argv_
static char hostname_ [256]
static char username_ [9]
static size_t mem_
static int nproc_
static std::ostream * out_
static std::ostream * nullstream_

Detailed Description

The ExEnv class is used to find out about how the program is being run.

Author

Generated automatically by Doxygen for MPQC from the source code.